# Interface methods for submodule: ShapePriorSegmentationLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SegmentationLevelSetImageFilterProxy as _SegmentationLevelSetImageFilterProxy


# Interface methods for class: ShapePriorSegmentationLevelSetImageFilter
class ShapePriorSegmentationLevelSetImageFilterProxy(_SegmentationLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetShapeFunction(self, s) -> None:
		""""""
		...

	def GetModifiableShapeFunction(self):
		""""""
		...

	def GetShapeFunction(self):
		""""""
		...

	def SetCostFunction(self, _arg) -> None:
		""""""
		...

	def GetModifiableCostFunction(self):
		""""""
		...

	def GetCostFunction(self):
		""""""
		...

	def SetOptimizer(self, _arg) -> None:
		""""""
		...

	def GetModifiableOptimizer(self):
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

	def SetInitialParameters(self, _arg) -> None:
		""""""
		...

	def GetInitialParameters(self):
		""""""
		...

	def SetShapePriorScaling(self, v: float) -> None:
		""""""
		...

	def GetShapePriorScaling(self) -> float:
		""""""
		...

	def SetShapePriorSegmentationFunction(self, s) -> None:
		""""""
		...

	def GetShapePriorSegmentationFunction(self):
		""""""
		...

	def GetCurrentParameters(self):
		""""""
		...

